package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.OutBoundDto;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.RemoveTableDto;
import com.tofly.watermeter.custom.entity.meterBusiness.vo.OutBoundVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 泡泡
 */
@Mapper
public interface OutBoundMapper {

    Page<Map> count(Page page, @Param("dto") OutBoundDto dto);

    List<Map> count(@Param("dto") OutBoundDto dto);

    Page<Map> countByWorkOrder(Page page, @Param("dto") OutBoundDto dto);

    List<Map> countByWorkOrder(@Param("dto") OutBoundDto dto);

    Page<OutBoundVo> queryTableInfo(Page page, @Param("ckIdList") List<Long> ckIdList,@Param("start") String start,@Param("end") String end);

    List<OutBoundVo> queryTableInfo(@Param("ckIdList") List<Long> ckIdList,@Param("start") String start,@Param("end") String end);

    boolean updateWorkOrder(@Param("gdbh") String gdbh);

    String getGdbh(@Param("dto") OutBoundDto dto);

    Page<Map> getWareHousinginfo(Page page, @Param("dto") OutBoundDto dto);

    List<RemoveTableDto> getCountInfo(@Param("code") List<String> code);

    Long getWorkOrderCode(@Param("orderCode") String orderCode);

    Long outBoundCount(@Param("codes") String codes);

}
